diff -u autopsy-2.08/debian/changelog autopsy-2.08/debian/changelog
--- autopsy-2.08/debian/changelog
+++ autopsy-2.08/debian/changelog
@@ -1,3 +1,11 @@
+autopsy (2.08-2.1) unstable; urgency=low
+
+  * NMU
+  * Applied patch to prevent broken Perl check, closes: #479935.
+    Thanks to Peter Green <plugwash@p10link.net>.
+
+ -- Martin A. Godisch <godisch@debian.org>  Sat, 19 Jul 2008 08:25:23 +0200
+
 autopsy (2.08-2) unstable; urgency=low
 
   * Patched the code to point directly to ils-sleuthkit, icat-sleuthkit
diff -u autopsy-2.08/debian/patches/00list autopsy-2.08/debian/patches/00list
--- autopsy-2.08/debian/patches/00list
+++ autopsy-2.08/debian/patches/00list
@@ -2,0 +3 @@
+03.kill_broken_perl_check.dpatch
only in patch2:
unchanged:
--- autopsy-2.08.orig/debian/patches/03.kill_broken_perl_check.dpatch
+++ autopsy-2.08/debian/patches/03.kill_broken_perl_check.dpatch
@@ -0,0 +1,30 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 02.kill_broken_perl_check.dpatch by  <plugwash@p10link.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: simple patch to disable broken perl version check
+
+@DPATCH@
+diff -urNad autopsy-2.08~/configure autopsy-2.08/configure
+--- autopsy-2.08~/configure	2006-09-01 17:19:15.000000000 +0100
++++ autopsy-2.08/configure	2008-05-15 01:09:20.000000000 +0100
+@@ -63,15 +63,15 @@
+   do if (test -x ${d}perl) then
+     if (test -n "`${d}perl -v 2> /dev/null | awk '/This is perl/ {print $0}'`") then
+       ver=`${d}perl -v 2> /dev/null | awk '/This is perl,/ {print $4}'`;
+-      if (test "$ver" '<' "v5.8.0") then 
+-        echo "old version of perl found: ${d}perl (version $ver) -- continuing";
+-      else	  
++      #if (test "$ver" '<' "v5.8.0") then 
++      #  echo "old version of perl found: ${d}perl (version $ver) -- continuing";
++      #else	  
+         echo "perl found: ${d}perl (version $ver)";
+         echo "#!${d}perl -wT" > ./config.tmp;
+         echo "#!${d}perl" > ./config2.tmp;
+         found=1; 
+         break; 
+-      fi;
++      #fi;
+     fi;
+   fi;
+ done
